import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AccessKeysConfigurationConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/access_keys_configuration#account_id AccessKeysConfiguration#account_id}
    */
    readonly accountId: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/access_keys_configuration#key_rotation_interval_days AccessKeysConfiguration#key_rotation_interval_days}
    */
    readonly keyRotationIntervalDays?: number;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/cloudflare/r/access_keys_configuration cloudflare_access_keys_configuration}
*/
export declare class AccessKeysConfiguration extends cdktf.TerraformResource {
    static readonly tfResourceType = "cloudflare_access_keys_configuration";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/cloudflare/r/access_keys_configuration cloudflare_access_keys_configuration} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options AccessKeysConfigurationConfig
    */
    constructor(scope: Construct, id: string, config: AccessKeysConfigurationConfig);
    private _accountId?;
    get accountId(): string;
    set accountId(value: string);
    get accountIdInput(): string | undefined;
    get id(): string;
    private _keyRotationIntervalDays?;
    get keyRotationIntervalDays(): number;
    set keyRotationIntervalDays(value: number);
    resetKeyRotationIntervalDays(): void;
    get keyRotationIntervalDaysInput(): number | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=access-keys-configuration.d.ts.map