import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ArgoConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/argo#smart_routing Argo#smart_routing}
    */
    readonly smartRouting?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/argo#tiered_caching Argo#tiered_caching}
    */
    readonly tieredCaching?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/argo#zone_id Argo#zone_id}
    */
    readonly zoneId: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/cloudflare/r/argo cloudflare_argo}
*/
export declare class Argo extends cdktf.TerraformResource {
    static readonly tfResourceType = "cloudflare_argo";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/cloudflare/r/argo cloudflare_argo} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options ArgoConfig
    */
    constructor(scope: Construct, id: string, config: ArgoConfig);
    get id(): string;
    private _smartRouting?;
    get smartRouting(): string;
    set smartRouting(value: string);
    resetSmartRouting(): void;
    get smartRoutingInput(): string | undefined;
    private _tieredCaching?;
    get tieredCaching(): string;
    set tieredCaching(value: string);
    resetTieredCaching(): void;
    get tieredCachingInput(): string | undefined;
    private _zoneId?;
    get zoneId(): string;
    set zoneId(value: string);
    get zoneIdInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=argo.d.ts.map