import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataCloudflareOriginCaRootCertificateConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/d/origin_ca_root_certificate#algorithm DataCloudflareOriginCaRootCertificate#algorithm}
    */
    readonly algorithm: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/cloudflare/d/origin_ca_root_certificate cloudflare_origin_ca_root_certificate}
*/
export declare class DataCloudflareOriginCaRootCertificate extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "cloudflare_origin_ca_root_certificate";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/cloudflare/d/origin_ca_root_certificate cloudflare_origin_ca_root_certificate} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataCloudflareOriginCaRootCertificateConfig
    */
    constructor(scope: Construct, id: string, config: DataCloudflareOriginCaRootCertificateConfig);
    private _algorithm?;
    get algorithm(): string;
    set algorithm(value: string);
    get algorithmInput(): string | undefined;
    get certPem(): string;
    get id(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-cloudflare-origin-ca-root-certificate.d.ts.map