import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataCloudflareZoneConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/d/zone#account_id DataCloudflareZone#account_id}
    */
    readonly accountId?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/d/zone#name DataCloudflareZone#name}
    */
    readonly name?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/d/zone#zone_id DataCloudflareZone#zone_id}
    */
    readonly zoneId?: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/cloudflare/d/zone cloudflare_zone}
*/
export declare class DataCloudflareZone extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "cloudflare_zone";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/cloudflare/d/zone cloudflare_zone} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataCloudflareZoneConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataCloudflareZoneConfig);
    private _accountId?;
    get accountId(): string;
    set accountId(value: string);
    resetAccountId(): void;
    get accountIdInput(): string | undefined;
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    get nameServers(): string[];
    get paused(): cdktf.IResolvable;
    get plan(): string;
    get status(): string;
    get vanityNameServers(): string[];
    private _zoneId?;
    get zoneId(): string;
    set zoneId(value: string);
    resetZoneId(): void;
    get zoneIdInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-cloudflare-zone.d.ts.map