import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface FallbackDomainConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/fallback_domain#account_id FallbackDomain#account_id}
    */
    readonly accountId: string;
    /**
    * domains block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/fallback_domain#domains FallbackDomain#domains}
    */
    readonly domains: FallbackDomainDomains[] | cdktf.IResolvable;
}
export interface FallbackDomainDomains {
    /**
    * A description of the fallback domain, displayed in the client UI.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/fallback_domain#description FallbackDomain#description}
    */
    readonly description?: string;
    /**
    * A list of IP addresses to handle domain resolution.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/fallback_domain#dns_server FallbackDomain#dns_server}
    */
    readonly dnsServer?: string[];
    /**
    * The domain suffix to match when resolving locally.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/fallback_domain#suffix FallbackDomain#suffix}
    */
    readonly suffix?: string;
}
export declare function fallbackDomainDomainsToTerraform(struct?: FallbackDomainDomains | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/cloudflare/r/fallback_domain cloudflare_fallback_domain}
*/
export declare class FallbackDomain extends cdktf.TerraformResource {
    static readonly tfResourceType = "cloudflare_fallback_domain";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/cloudflare/r/fallback_domain cloudflare_fallback_domain} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options FallbackDomainConfig
    */
    constructor(scope: Construct, id: string, config: FallbackDomainConfig);
    private _accountId?;
    get accountId(): string;
    set accountId(value: string);
    get accountIdInput(): string | undefined;
    get id(): string;
    private _domains?;
    get domains(): FallbackDomainDomains[] | cdktf.IResolvable;
    set domains(value: FallbackDomainDomains[] | cdktf.IResolvable);
    get domainsInput(): cdktf.IResolvable | FallbackDomainDomains[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=fallback-domain.d.ts.map