import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SpectrumApplicationConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#argo_smart_routing SpectrumApplication#argo_smart_routing}
    */
    readonly argoSmartRouting?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#edge_ip_connectivity SpectrumApplication#edge_ip_connectivity}
    */
    readonly edgeIpConnectivity?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#edge_ips SpectrumApplication#edge_ips}
    */
    readonly edgeIps?: string[];
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#ip_firewall SpectrumApplication#ip_firewall}
    */
    readonly ipFirewall?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#origin_direct SpectrumApplication#origin_direct}
    */
    readonly originDirect?: string[];
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#origin_port SpectrumApplication#origin_port}
    */
    readonly originPort?: number;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#protocol SpectrumApplication#protocol}
    */
    readonly protocol: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#proxy_protocol SpectrumApplication#proxy_protocol}
    */
    readonly proxyProtocol?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#tls SpectrumApplication#tls}
    */
    readonly tls?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#traffic_type SpectrumApplication#traffic_type}
    */
    readonly trafficType?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#zone_id SpectrumApplication#zone_id}
    */
    readonly zoneId: string;
    /**
    * dns block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#dns SpectrumApplication#dns}
    */
    readonly dns: SpectrumApplicationDns;
    /**
    * origin_dns block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#origin_dns SpectrumApplication#origin_dns}
    */
    readonly originDns?: SpectrumApplicationOriginDns;
    /**
    * origin_port_range block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#origin_port_range SpectrumApplication#origin_port_range}
    */
    readonly originPortRange?: SpectrumApplicationOriginPortRange;
}
export interface SpectrumApplicationDns {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#name SpectrumApplication#name}
    */
    readonly name: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#type SpectrumApplication#type}
    */
    readonly type: string;
}
export declare function spectrumApplicationDnsToTerraform(struct?: SpectrumApplicationDnsOutputReference | SpectrumApplicationDns): any;
export declare class SpectrumApplicationDnsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): SpectrumApplicationDns | undefined;
    set internalValue(value: SpectrumApplicationDns | undefined);
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    private _type?;
    get type(): string;
    set type(value: string);
    get typeInput(): string | undefined;
}
export interface SpectrumApplicationOriginDns {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#name SpectrumApplication#name}
    */
    readonly name: string;
}
export declare function spectrumApplicationOriginDnsToTerraform(struct?: SpectrumApplicationOriginDnsOutputReference | SpectrumApplicationOriginDns): any;
export declare class SpectrumApplicationOriginDnsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): SpectrumApplicationOriginDns | undefined;
    set internalValue(value: SpectrumApplicationOriginDns | undefined);
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
}
export interface SpectrumApplicationOriginPortRange {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#end SpectrumApplication#end}
    */
    readonly end: number;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application#start SpectrumApplication#start}
    */
    readonly start: number;
}
export declare function spectrumApplicationOriginPortRangeToTerraform(struct?: SpectrumApplicationOriginPortRangeOutputReference | SpectrumApplicationOriginPortRange): any;
export declare class SpectrumApplicationOriginPortRangeOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): SpectrumApplicationOriginPortRange | undefined;
    set internalValue(value: SpectrumApplicationOriginPortRange | undefined);
    private _end?;
    get end(): number;
    set end(value: number);
    get endInput(): number | undefined;
    private _start?;
    get start(): number;
    set start(value: number);
    get startInput(): number | undefined;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application cloudflare_spectrum_application}
*/
export declare class SpectrumApplication extends cdktf.TerraformResource {
    static readonly tfResourceType = "cloudflare_spectrum_application";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/cloudflare/r/spectrum_application cloudflare_spectrum_application} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options SpectrumApplicationConfig
    */
    constructor(scope: Construct, id: string, config: SpectrumApplicationConfig);
    private _argoSmartRouting?;
    get argoSmartRouting(): boolean | cdktf.IResolvable;
    set argoSmartRouting(value: boolean | cdktf.IResolvable);
    resetArgoSmartRouting(): void;
    get argoSmartRoutingInput(): boolean | cdktf.IResolvable | undefined;
    private _edgeIpConnectivity?;
    get edgeIpConnectivity(): string;
    set edgeIpConnectivity(value: string);
    resetEdgeIpConnectivity(): void;
    get edgeIpConnectivityInput(): string | undefined;
    private _edgeIps?;
    get edgeIps(): string[];
    set edgeIps(value: string[]);
    resetEdgeIps(): void;
    get edgeIpsInput(): string[] | undefined;
    get id(): string;
    private _ipFirewall?;
    get ipFirewall(): boolean | cdktf.IResolvable;
    set ipFirewall(value: boolean | cdktf.IResolvable);
    resetIpFirewall(): void;
    get ipFirewallInput(): boolean | cdktf.IResolvable | undefined;
    private _originDirect?;
    get originDirect(): string[];
    set originDirect(value: string[]);
    resetOriginDirect(): void;
    get originDirectInput(): string[] | undefined;
    private _originPort?;
    get originPort(): number;
    set originPort(value: number);
    resetOriginPort(): void;
    get originPortInput(): number | undefined;
    private _protocol?;
    get protocol(): string;
    set protocol(value: string);
    get protocolInput(): string | undefined;
    private _proxyProtocol?;
    get proxyProtocol(): string;
    set proxyProtocol(value: string);
    resetProxyProtocol(): void;
    get proxyProtocolInput(): string | undefined;
    private _tls?;
    get tls(): string;
    set tls(value: string);
    resetTls(): void;
    get tlsInput(): string | undefined;
    private _trafficType?;
    get trafficType(): string;
    set trafficType(value: string);
    resetTrafficType(): void;
    get trafficTypeInput(): string | undefined;
    private _zoneId?;
    get zoneId(): string;
    set zoneId(value: string);
    get zoneIdInput(): string | undefined;
    private _dns;
    get dns(): SpectrumApplicationDnsOutputReference;
    putDns(value: SpectrumApplicationDns): void;
    get dnsInput(): SpectrumApplicationDns | undefined;
    private _originDns;
    get originDns(): SpectrumApplicationOriginDnsOutputReference;
    putOriginDns(value: SpectrumApplicationOriginDns): void;
    resetOriginDns(): void;
    get originDnsInput(): SpectrumApplicationOriginDns | undefined;
    private _originPortRange;
    get originPortRange(): SpectrumApplicationOriginPortRangeOutputReference;
    putOriginPortRange(value: SpectrumApplicationOriginPortRange): void;
    resetOriginPortRange(): void;
    get originPortRangeInput(): SpectrumApplicationOriginPortRange | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=spectrum-application.d.ts.map