import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SplitTunnelConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/split_tunnel#account_id SplitTunnel#account_id}
    */
    readonly accountId: string;
    /**
    * The mode of the split tunnel policy. Either 'include' or 'exclude'.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/split_tunnel#mode SplitTunnel#mode}
    */
    readonly mode: string;
    /**
    * tunnels block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/split_tunnel#tunnels SplitTunnel#tunnels}
    */
    readonly tunnels: SplitTunnelTunnels[] | cdktf.IResolvable;
}
export interface SplitTunnelTunnels {
    /**
    * The address for the tunnel.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/split_tunnel#address SplitTunnel#address}
    */
    readonly address?: string;
    /**
    * A description for the tunnel.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/split_tunnel#description SplitTunnel#description}
    */
    readonly description?: string;
    /**
    * The domain name for the tunnel.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/split_tunnel#host SplitTunnel#host}
    */
    readonly host?: string;
}
export declare function splitTunnelTunnelsToTerraform(struct?: SplitTunnelTunnels | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/cloudflare/r/split_tunnel cloudflare_split_tunnel}
*/
export declare class SplitTunnel extends cdktf.TerraformResource {
    static readonly tfResourceType = "cloudflare_split_tunnel";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/cloudflare/r/split_tunnel cloudflare_split_tunnel} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options SplitTunnelConfig
    */
    constructor(scope: Construct, id: string, config: SplitTunnelConfig);
    private _accountId?;
    get accountId(): string;
    set accountId(value: string);
    get accountIdInput(): string | undefined;
    get id(): string;
    private _mode?;
    get mode(): string;
    set mode(value: string);
    get modeInput(): string | undefined;
    private _tunnels?;
    get tunnels(): SplitTunnelTunnels[] | cdktf.IResolvable;
    set tunnels(value: SplitTunnelTunnels[] | cdktf.IResolvable);
    get tunnelsInput(): cdktf.IResolvable | SplitTunnelTunnels[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=split-tunnel.d.ts.map