import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface TeamsRuleConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#account_id TeamsRule#account_id}
    */
    readonly accountId: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#action TeamsRule#action}
    */
    readonly action: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#description TeamsRule#description}
    */
    readonly description: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#device_posture TeamsRule#device_posture}
    */
    readonly devicePosture?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#enabled TeamsRule#enabled}
    */
    readonly enabled?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#filters TeamsRule#filters}
    */
    readonly filters?: string[];
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#identity TeamsRule#identity}
    */
    readonly identity?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#name TeamsRule#name}
    */
    readonly name: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#precedence TeamsRule#precedence}
    */
    readonly precedence: number;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#traffic TeamsRule#traffic}
    */
    readonly traffic?: string;
    /**
    * rule_settings block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#rule_settings TeamsRule#rule_settings}
    */
    readonly ruleSettings?: TeamsRuleRuleSettings;
}
export interface TeamsRuleRuleSettingsBisoAdminControls {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#disable_copy_paste TeamsRule#disable_copy_paste}
    */
    readonly disableCopyPaste?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#disable_download TeamsRule#disable_download}
    */
    readonly disableDownload?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#disable_keyboard TeamsRule#disable_keyboard}
    */
    readonly disableKeyboard?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#disable_printing TeamsRule#disable_printing}
    */
    readonly disablePrinting?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#disable_upload TeamsRule#disable_upload}
    */
    readonly disableUpload?: boolean | cdktf.IResolvable;
}
export declare function teamsRuleRuleSettingsBisoAdminControlsToTerraform(struct?: TeamsRuleRuleSettingsBisoAdminControlsOutputReference | TeamsRuleRuleSettingsBisoAdminControls): any;
export declare class TeamsRuleRuleSettingsBisoAdminControlsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): TeamsRuleRuleSettingsBisoAdminControls | undefined;
    set internalValue(value: TeamsRuleRuleSettingsBisoAdminControls | undefined);
    private _disableCopyPaste?;
    get disableCopyPaste(): boolean | cdktf.IResolvable;
    set disableCopyPaste(value: boolean | cdktf.IResolvable);
    resetDisableCopyPaste(): void;
    get disableCopyPasteInput(): boolean | cdktf.IResolvable | undefined;
    private _disableDownload?;
    get disableDownload(): boolean | cdktf.IResolvable;
    set disableDownload(value: boolean | cdktf.IResolvable);
    resetDisableDownload(): void;
    get disableDownloadInput(): boolean | cdktf.IResolvable | undefined;
    private _disableKeyboard?;
    get disableKeyboard(): boolean | cdktf.IResolvable;
    set disableKeyboard(value: boolean | cdktf.IResolvable);
    resetDisableKeyboard(): void;
    get disableKeyboardInput(): boolean | cdktf.IResolvable | undefined;
    private _disablePrinting?;
    get disablePrinting(): boolean | cdktf.IResolvable;
    set disablePrinting(value: boolean | cdktf.IResolvable);
    resetDisablePrinting(): void;
    get disablePrintingInput(): boolean | cdktf.IResolvable | undefined;
    private _disableUpload?;
    get disableUpload(): boolean | cdktf.IResolvable;
    set disableUpload(value: boolean | cdktf.IResolvable);
    resetDisableUpload(): void;
    get disableUploadInput(): boolean | cdktf.IResolvable | undefined;
}
export interface TeamsRuleRuleSettingsCheckSession {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#duration TeamsRule#duration}
    */
    readonly duration: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#enforce TeamsRule#enforce}
    */
    readonly enforce: boolean | cdktf.IResolvable;
}
export declare function teamsRuleRuleSettingsCheckSessionToTerraform(struct?: TeamsRuleRuleSettingsCheckSessionOutputReference | TeamsRuleRuleSettingsCheckSession): any;
export declare class TeamsRuleRuleSettingsCheckSessionOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): TeamsRuleRuleSettingsCheckSession | undefined;
    set internalValue(value: TeamsRuleRuleSettingsCheckSession | undefined);
    private _duration?;
    get duration(): string;
    set duration(value: string);
    get durationInput(): string | undefined;
    private _enforce?;
    get enforce(): boolean | cdktf.IResolvable;
    set enforce(value: boolean | cdktf.IResolvable);
    get enforceInput(): boolean | cdktf.IResolvable | undefined;
}
export interface TeamsRuleRuleSettingsL4Override {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#ip TeamsRule#ip}
    */
    readonly ip: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#port TeamsRule#port}
    */
    readonly port: number;
}
export declare function teamsRuleRuleSettingsL4OverrideToTerraform(struct?: TeamsRuleRuleSettingsL4OverrideOutputReference | TeamsRuleRuleSettingsL4Override): any;
export declare class TeamsRuleRuleSettingsL4OverrideOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): TeamsRuleRuleSettingsL4Override | undefined;
    set internalValue(value: TeamsRuleRuleSettingsL4Override | undefined);
    private _ip?;
    get ip(): string;
    set ip(value: string);
    get ipInput(): string | undefined;
    private _port?;
    get port(): number;
    set port(value: number);
    get portInput(): number | undefined;
}
export interface TeamsRuleRuleSettings {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#add_headers TeamsRule#add_headers}
    */
    readonly addHeaders?: {
        [key: string]: string;
    };
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#block_page_enabled TeamsRule#block_page_enabled}
    */
    readonly blockPageEnabled?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#block_page_reason TeamsRule#block_page_reason}
    */
    readonly blockPageReason?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#insecure_disable_dnssec_validation TeamsRule#insecure_disable_dnssec_validation}
    */
    readonly insecureDisableDnssecValidation?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#override_host TeamsRule#override_host}
    */
    readonly overrideHost?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#override_ips TeamsRule#override_ips}
    */
    readonly overrideIps?: string[];
    /**
    * biso_admin_controls block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#biso_admin_controls TeamsRule#biso_admin_controls}
    */
    readonly bisoAdminControls?: TeamsRuleRuleSettingsBisoAdminControls;
    /**
    * check_session block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#check_session TeamsRule#check_session}
    */
    readonly checkSession?: TeamsRuleRuleSettingsCheckSession;
    /**
    * l4override block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule#l4override TeamsRule#l4override}
    */
    readonly l4Override?: TeamsRuleRuleSettingsL4Override;
}
export declare function teamsRuleRuleSettingsToTerraform(struct?: TeamsRuleRuleSettingsOutputReference | TeamsRuleRuleSettings): any;
export declare class TeamsRuleRuleSettingsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): TeamsRuleRuleSettings | undefined;
    set internalValue(value: TeamsRuleRuleSettings | undefined);
    private _addHeaders?;
    get addHeaders(): {
        [key: string]: string;
    };
    set addHeaders(value: {
        [key: string]: string;
    });
    resetAddHeaders(): void;
    get addHeadersInput(): {
        [key: string]: string;
    } | undefined;
    private _blockPageEnabled?;
    get blockPageEnabled(): boolean | cdktf.IResolvable;
    set blockPageEnabled(value: boolean | cdktf.IResolvable);
    resetBlockPageEnabled(): void;
    get blockPageEnabledInput(): boolean | cdktf.IResolvable | undefined;
    private _blockPageReason?;
    get blockPageReason(): string;
    set blockPageReason(value: string);
    resetBlockPageReason(): void;
    get blockPageReasonInput(): string | undefined;
    private _insecureDisableDnssecValidation?;
    get insecureDisableDnssecValidation(): boolean | cdktf.IResolvable;
    set insecureDisableDnssecValidation(value: boolean | cdktf.IResolvable);
    resetInsecureDisableDnssecValidation(): void;
    get insecureDisableDnssecValidationInput(): boolean | cdktf.IResolvable | undefined;
    private _overrideHost?;
    get overrideHost(): string;
    set overrideHost(value: string);
    resetOverrideHost(): void;
    get overrideHostInput(): string | undefined;
    private _overrideIps?;
    get overrideIps(): string[];
    set overrideIps(value: string[]);
    resetOverrideIps(): void;
    get overrideIpsInput(): string[] | undefined;
    private _bisoAdminControls;
    get bisoAdminControls(): TeamsRuleRuleSettingsBisoAdminControlsOutputReference;
    putBisoAdminControls(value: TeamsRuleRuleSettingsBisoAdminControls): void;
    resetBisoAdminControls(): void;
    get bisoAdminControlsInput(): TeamsRuleRuleSettingsBisoAdminControls | undefined;
    private _checkSession;
    get checkSession(): TeamsRuleRuleSettingsCheckSessionOutputReference;
    putCheckSession(value: TeamsRuleRuleSettingsCheckSession): void;
    resetCheckSession(): void;
    get checkSessionInput(): TeamsRuleRuleSettingsCheckSession | undefined;
    private _l4Override;
    get l4Override(): TeamsRuleRuleSettingsL4OverrideOutputReference;
    putL4Override(value: TeamsRuleRuleSettingsL4Override): void;
    resetL4Override(): void;
    get l4OverrideInput(): TeamsRuleRuleSettingsL4Override | undefined;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule cloudflare_teams_rule}
*/
export declare class TeamsRule extends cdktf.TerraformResource {
    static readonly tfResourceType = "cloudflare_teams_rule";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/cloudflare/r/teams_rule cloudflare_teams_rule} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options TeamsRuleConfig
    */
    constructor(scope: Construct, id: string, config: TeamsRuleConfig);
    private _accountId?;
    get accountId(): string;
    set accountId(value: string);
    get accountIdInput(): string | undefined;
    private _action?;
    get action(): string;
    set action(value: string);
    get actionInput(): string | undefined;
    private _description?;
    get description(): string;
    set description(value: string);
    get descriptionInput(): string | undefined;
    private _devicePosture?;
    get devicePosture(): string;
    set devicePosture(value: string);
    resetDevicePosture(): void;
    get devicePostureInput(): string | undefined;
    private _enabled?;
    get enabled(): boolean | cdktf.IResolvable;
    set enabled(value: boolean | cdktf.IResolvable);
    resetEnabled(): void;
    get enabledInput(): boolean | cdktf.IResolvable | undefined;
    private _filters?;
    get filters(): string[];
    set filters(value: string[]);
    resetFilters(): void;
    get filtersInput(): string[] | undefined;
    get id(): string;
    private _identity?;
    get identity(): string;
    set identity(value: string);
    resetIdentity(): void;
    get identityInput(): string | undefined;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    private _precedence?;
    get precedence(): number;
    set precedence(value: number);
    get precedenceInput(): number | undefined;
    private _traffic?;
    get traffic(): string;
    set traffic(value: string);
    resetTraffic(): void;
    get trafficInput(): string | undefined;
    get version(): number;
    private _ruleSettings;
    get ruleSettings(): TeamsRuleRuleSettingsOutputReference;
    putRuleSettings(value: TeamsRuleRuleSettings): void;
    resetRuleSettings(): void;
    get ruleSettingsInput(): TeamsRuleRuleSettings | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=teams-rule.d.ts.map