import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface WafPackageConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/waf_package#action_mode WafPackage#action_mode}
    */
    readonly actionMode?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/waf_package#package_id WafPackage#package_id}
    */
    readonly packageId: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/waf_package#sensitivity WafPackage#sensitivity}
    */
    readonly sensitivity?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/waf_package#zone_id WafPackage#zone_id}
    */
    readonly zoneId: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/cloudflare/r/waf_package cloudflare_waf_package}
*/
export declare class WafPackage extends cdktf.TerraformResource {
    static readonly tfResourceType = "cloudflare_waf_package";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/cloudflare/r/waf_package cloudflare_waf_package} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options WafPackageConfig
    */
    constructor(scope: Construct, id: string, config: WafPackageConfig);
    private _actionMode?;
    get actionMode(): string;
    set actionMode(value: string);
    resetActionMode(): void;
    get actionModeInput(): string | undefined;
    get id(): string;
    private _packageId?;
    get packageId(): string;
    set packageId(value: string);
    get packageIdInput(): string | undefined;
    private _sensitivity?;
    get sensitivity(): string;
    set sensitivity(value: string);
    resetSensitivity(): void;
    get sensitivityInput(): string | undefined;
    private _zoneId?;
    get zoneId(): string;
    set zoneId(value: string);
    get zoneIdInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=waf-package.d.ts.map