import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface WorkerScriptConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/worker_script#content WorkerScript#content}
    */
    readonly content: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/worker_script#name WorkerScript#name}
    */
    readonly name: string;
    /**
    * kv_namespace_binding block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/worker_script#kv_namespace_binding WorkerScript#kv_namespace_binding}
    */
    readonly kvNamespaceBinding?: WorkerScriptKvNamespaceBinding[] | cdktf.IResolvable;
    /**
    * plain_text_binding block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/worker_script#plain_text_binding WorkerScript#plain_text_binding}
    */
    readonly plainTextBinding?: WorkerScriptPlainTextBinding[] | cdktf.IResolvable;
    /**
    * secret_text_binding block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/worker_script#secret_text_binding WorkerScript#secret_text_binding}
    */
    readonly secretTextBinding?: WorkerScriptSecretTextBinding[] | cdktf.IResolvable;
    /**
    * webassembly_binding block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/worker_script#webassembly_binding WorkerScript#webassembly_binding}
    */
    readonly webassemblyBinding?: WorkerScriptWebassemblyBinding[] | cdktf.IResolvable;
}
export interface WorkerScriptKvNamespaceBinding {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/worker_script#name WorkerScript#name}
    */
    readonly name: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/worker_script#namespace_id WorkerScript#namespace_id}
    */
    readonly namespaceId: string;
}
export declare function workerScriptKvNamespaceBindingToTerraform(struct?: WorkerScriptKvNamespaceBinding | cdktf.IResolvable): any;
export interface WorkerScriptPlainTextBinding {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/worker_script#name WorkerScript#name}
    */
    readonly name: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/worker_script#text WorkerScript#text}
    */
    readonly text: string;
}
export declare function workerScriptPlainTextBindingToTerraform(struct?: WorkerScriptPlainTextBinding | cdktf.IResolvable): any;
export interface WorkerScriptSecretTextBinding {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/worker_script#name WorkerScript#name}
    */
    readonly name: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/worker_script#text WorkerScript#text}
    */
    readonly text: string;
}
export declare function workerScriptSecretTextBindingToTerraform(struct?: WorkerScriptSecretTextBinding | cdktf.IResolvable): any;
export interface WorkerScriptWebassemblyBinding {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/worker_script#module WorkerScript#module}
    */
    readonly module: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/cloudflare/r/worker_script#name WorkerScript#name}
    */
    readonly name: string;
}
export declare function workerScriptWebassemblyBindingToTerraform(struct?: WorkerScriptWebassemblyBinding | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/cloudflare/r/worker_script cloudflare_worker_script}
*/
export declare class WorkerScript extends cdktf.TerraformResource {
    static readonly tfResourceType = "cloudflare_worker_script";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/cloudflare/r/worker_script cloudflare_worker_script} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options WorkerScriptConfig
    */
    constructor(scope: Construct, id: string, config: WorkerScriptConfig);
    private _content?;
    get content(): string;
    set content(value: string);
    get contentInput(): string | undefined;
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    private _kvNamespaceBinding?;
    get kvNamespaceBinding(): WorkerScriptKvNamespaceBinding[] | cdktf.IResolvable;
    set kvNamespaceBinding(value: WorkerScriptKvNamespaceBinding[] | cdktf.IResolvable);
    resetKvNamespaceBinding(): void;
    get kvNamespaceBindingInput(): cdktf.IResolvable | WorkerScriptKvNamespaceBinding[] | undefined;
    private _plainTextBinding?;
    get plainTextBinding(): WorkerScriptPlainTextBinding[] | cdktf.IResolvable;
    set plainTextBinding(value: WorkerScriptPlainTextBinding[] | cdktf.IResolvable);
    resetPlainTextBinding(): void;
    get plainTextBindingInput(): cdktf.IResolvable | WorkerScriptPlainTextBinding[] | undefined;
    private _secretTextBinding?;
    get secretTextBinding(): WorkerScriptSecretTextBinding[] | cdktf.IResolvable;
    set secretTextBinding(value: WorkerScriptSecretTextBinding[] | cdktf.IResolvable);
    resetSecretTextBinding(): void;
    get secretTextBindingInput(): cdktf.IResolvable | WorkerScriptSecretTextBinding[] | undefined;
    private _webassemblyBinding?;
    get webassemblyBinding(): WorkerScriptWebassemblyBinding[] | cdktf.IResolvable;
    set webassemblyBinding(value: WorkerScriptWebassemblyBinding[] | cdktf.IResolvable);
    resetWebassemblyBinding(): void;
    get webassemblyBindingInput(): cdktf.IResolvable | WorkerScriptWebassemblyBinding[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=worker-script.d.ts.map